## com.saxonica.ptree
Class PTreeReader.PTreeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.xml.transform.TransformerException
                  net.sf.saxon.trans.XPathException
                      net.sf.saxon.trans.DynamicError
                          com.saxonica.ptree.PTreeReader.PTreeException

All Implemented Interfaces:
  Serializable

Enclosing class:
  PTreeReader

    public static class PTreeReader.PTreeException

extends DynamicError

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class net.sf.saxon.trans.XPathException
`XPathException.Circularity`

Constructor Summary
`PTreeReader.PTreeException(String s)`

Method Summary

Methods inherited from class net.sf.saxon.trans.DynamicError
`getXPathContext, makeDynamicError, setXPathContext`

Methods inherited from class net.sf.saxon.trans.XPathException
`getErrorCodeLocalPart, getErrorCodeNamespace, getErrorObject, hasBeenReported, isTypeError, makeStatic, setErrorCode, setErrorCode, setErrorObject, setHasBeenReported, setIsTypeError`

Methods inherited from class javax.xml.transform.TransformerException
`getCause, getException, getLocationAsString, getLocator, getMessageAndLocation, initCause, printStackTrace, printStackTrace, printStackTrace, setLocator`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PTreeReader.PTreeException

    public PTreeReader.PTreeException(String s)

Copyright (C) Michael H. Kay. All rights reserved.